Loading...
Searching...
No Matches
mdds::ssmap::hash_key_finder< ValueT > Class Template Reference

`#include <sorted_string_map.hpp>`

## Public Member Functions

| hash_key_finder (const entry_type *entries, const entry_type *entries_end)
std::string_view | operator() (const value_type &v) const

## Detailed Description

template<typename ValueT>
class mdds::ssmap::hash_key_finder< ValueT >

Function object that builds a hash map of values to keys during its construction, and uses it during the lookup of the keys.